package org.springblade.modules.app.job;

import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springblade.modules.app.service.IAppUserService;
import org.springblade.modules.app.service.IVerifyStationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class ZmtJobHandler{

    @Autowired
    private IVerifyStationService verifyStationService;

    @Autowired
    private IAppUserService appUserService;


    @XxlJob("SubjectJob")
    public ReturnT<String> SubjectJob()  {
		appUserService.updateSupplier();
		return ReturnT.SUCCESS;
    }

    @XxlJob("CheckPointJob")
    public ReturnT<String> CheckPointJob()  {
		verifyStationService.updateVerifyStation();
		return ReturnT.SUCCESS;
    }

}
